- Qt 5.15
- Qt GUI
- C++ Classes
- QInputEvent
- Qt 5.15.19 Reference Documentation

# QInputEvent Class

The QInputEvent class is the base class for events that describe user input. More...

Header: | #include <QInputEvent>
qmake: | QT += gui
Inherits: | QEvent
Inherited By: | QContextMenuEvent, QHoverEvent, QKeyEvent, QMouseEvent, QNativeGestureEvent, QTabletEvent, QTouchEvent, and QWheelEvent

- List of all members, including inherited members

## Public Functions

Qt::KeyboardModifiers | modifiers() const
ulong | timestamp() const

## Detailed Description

## Member Function Documentation

### Qt::KeyboardModifiers QInputEvent::modifiers() const

Returns the keyboard modifier flags that existed immediately before the event occurred.

See also QGuiApplication::keyboardModifiers().

### ulong QInputEvent::timestamp() const

Returns the window system's timestamp for this event. It will normally be in milliseconds since some arbitrary point in time, such as the time when the system was started.